﻿using SushiBarDataModels.Enums;
using SushiBarDataModels.Models;

namespace SushiBarContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public int SushiId { get; set; }
        public int ClientId { get; set; }
        public int? ImplementerId { get; set; }
        public string ClientFio { get; set; } = string.Empty;
        public string SushiName { get; set; } = string.Empty;
        public int Count { get; set; }
        public double Sum { get; set; }
        public OrderStatus Status { get; set; } = OrderStatus.Unknown;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }
    }
}
