﻿using SushibarListImplement.Models;

namespace SushibarListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Component> Components { get; set; }
        public List<Order> Orders { get; set; }
        public List<Sushi> Sushi { get; set; }
        public List<Implementer> Implementers { get; set; }

        private DataListSingleton()
        {
            Components = new List<Component>();
            Orders = new List<Order>();
            Sushi = new List<Sushi>();
            Implementers = new List<Implementer>();
        }
        public static DataListSingleton GetInstance()
        {
            _instance ??= new DataListSingleton();
            return _instance;
        }
    }
}

