﻿using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class SushiViewModel : ISushiModel
    {
        public int Id { get; set; }

        [DisplayName("Name of Product")]
        public string SushiName { get; set; } = string.Empty;

        [DisplayName("Cost")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> SushiComponents { get; set; } = new();
    }
}
